<?php

function parse_amportal_conf($filename) {

    $file = file($filename);
    if (is_array($file)) {
        foreach ($file as $line) {
            if (preg_match("/^\s*([a-zA-Z0-9_]+)=([a-zA-Z0-9 .&-@=_!<>\"\']+)\s*$/",$line,$matches)) {
                $conf[ $matches[1] ] = trim($matches[2]);
            }
        }
    } else {
        die("<h1>".sprintf("Missing or unreadable config file (%s)...cannot continue", $filename)."</h1>");
    }
    return $conf;
} 

$amp_conf = parse_amportal_conf("/etc/amportal.conf");

// Database connection details 
$DBHOST = $amp_conf['AMPDBHOST'];
$DBNAME = $amp_conf['AMPDBNAME'];
$DBUSER = $amp_conf['AMPDBUSER'];
$DBPASS = $amp_conf['AMPDBPASS'];;

$language="en";

// ---------------------------------------------------------
// Do not modify below this line
// ---------------------------------------------------------

$phpver = substr(phpversion(),0,1);

define('DEBUG',false);

error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('log_errors',     0);
ini_set("session.cookie_lifetime", "0");    // conservar session hasta que se cierre el navegador
ini_set("session.gc_maxlifetime", 60*60*9); // duracion maxima de la session

// Site specific
define("MYAP",  "FOP2");
define("TITLE", "Flash Operator Panel 2");
if(isset($_SERVER['PATH_INFO'])) {
    define("SELF",  substr($_SERVER['PHP_SELF'], 0, (strlen($_SERVER['PHP_SELF']) - @strlen($_SERVER['PATH_INFO']))));
} else {
    define("SELF",  $_SERVER['PHP_SELF']);
}

// Parsing time calculation
$time      = explode(' ', microtime());
$time      = $time[1] + $time[0];
$begintime = $time;

// Session start
session_start();
//session_register(MYAP);

// General classes inclussion
require_once("lib/func.php");

if($phpver>4) {
    require_once("lib/dblib.php");
    require_once("lib/dbgrid.php");
} else {
    require_once("lib/dblib4.php");
    require_once("lib/dbgrid4.php");
}

require_once("lib/teldns.php");

set_error_handler("funcErrorHandler",E_ALL);

$db = new dbcon($DBHOST, $DBUSER, $DBPASS, $DBNAME, true);

set_config();

$traduccionesQueFaltan = Array();

require_once("lang/$language.php");

header('content-type: text/html; charset: utf-8'); 
?>
