<?php

$id_module = "address_book";
include_once("libs/misc.lib.php");
include_once "configs/default.conf.php";
include_once "libs/paloSantoNavigation.class.php";
include_once "libs/paloSantoDB.class.php";
include_once("libs/paloSantoACL.class.php");

require_once("libs/smarty/libs/Smarty.class.php");
require_once("modules/$id_module/index.php");
$developerMode=false;

session_name("elastixSession");
session_start();
load_language();



$pDB = new paloDB($arrConf['elastix_dsn']['acl']);

if(!empty($pDB->errMsg)) {
    echo "ERROR DE DB: $pDB->errMsg <br>";
}

$pACL = new paloACL($pDB);

if(!empty($pACL->errMsg)) {
    echo "ERROR DE DB: $pACL->errMsg <br>";
}

if(isset($_SESSION['elastix_user']) && isset($_SESSION['elastix_pass'])){
    if($pACL->authenticateUser($_SESSION['elastix_user'],$_SESSION['elastix_pass'])){
        $smarty = new Smarty();
        $smarty->template_dir = "themes/" . $arrConf['mainTheme'];
        $smarty->compile_dir  = "var/templates_c/";
        $smarty->config_dir   = "configs/";
        $smarty->cache_dir    = "var/cache/";
        if(isset($_POST['rawmode']))
            $rawmode = $_POST['rawmode'];
        else if(isset($_GET['rawmode']))
            $rawmode = $_GET['rawmode'];
        else
            $rawmode = null;

        if(isset($rawmode) && $rawmode=='yes') {
            echo _moduleContent($smarty,$id_module);
        }
        else{
            $smarty->assign("CONTENT",  _moduleContent($smarty,$id_module));
            $smarty->assign("THEMENAME",$arrConf['mainTheme']);
            $smarty->assign("currentyear",date("Y"));

            $pNav = new paloSantoNavigation($arrConf,array(),$smarty);
            $pNav->putHEAD_JQUERY_HTML();
            $pNav->putHEAD_MODULE_HTML($id_module);
            $smarty->display("_common/index.tpl");
        }
    }
    else{
        echo "Wrong user or password\n";
        exit;
    }
}
else{
    echo "User not authenticated\n";
    exit;
}
?>
